/**
 *
 */
package de.intevation.gnv.state;

import java.io.Serializable;
import java.util.Collection;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import de.intevation.artifacts.CallMeta;
import de.intevation.gnv.state.exception.StateException;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public interface State extends Serializable {

    public void setup(Node configuration);

    public String getID();

    public String getDescription();

    public void describe(Document document, Node rootNode, 
                         CallMeta callMeta, String uuid);

    public void setParent(State state);

    public State getParent();

    public Collection<InputValue> getRequiredInputValues();

    public void putInputData(Collection<InputData> inputData, 
                             String uuid)throws StateException;

    public Collection<InputData> getInputData() throws StateException;

    public void advance(String uuid, CallMeta callMeta)
                                                    throws StateException;
    public void initialize(String uuid, CallMeta callMeta)
                                                    throws StateException;
    

}
