/**
 *
 */
package de.intevation.gnv.state.describedata;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class DefaultMinMaxDescribeData implements MinMaxDescribeData {

    /**
     *
     */
    private static final long serialVersionUID = -2917176219029052295L;

    private Object minValue = null;

    private Object maxValue = null;
    
    private String name = null; 

    private final static String minName = "minvalue";

    private final static String maxName = "maxvalue";

    /**
     * Constructor
     */
    public DefaultMinMaxDescribeData(String name, Object minValue, Object maxValue) {
        super();
        this.name = name;
        this.minValue = minValue;
        this.maxValue = maxValue;
    }

    /**
     * @see de.intevation.gnv.state.describedata.MinMaxDescribeData#getMaxValue()
     */
    public Object getMaxValue() {
        return this.maxValue;
    }

    /**
     * @see de.intevation.gnv.state.describedata.MinMaxDescribeData#getMinValue()
     */
    public Object getMinValue() {
        return this.minValue;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "MIN: " + this.minValue.toString() + " ; MAX: "
               + this.maxValue.toString();
    }

    /**
     * @see de.intevation.gnv.state.describedata.MinMaxDescribeData#getName()
     */
    public String getMinName() {
        return minName;
    }

    /**
     * @see de.intevation.gnv.state.describedata.MinMaxDescribeData#getMaxName()
     */
    public String getMaxName() {
        return maxName;
    }

    /**
     * @see de.intevation.gnv.state.describedata.MinMaxDescribeData#setMaxValue(java.lang.Object)
     */
    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    /**
     * @see de.intevation.gnv.state.describedata.MinMaxDescribeData#setMinValue(java.lang.Object)
     */
    public void setMinValue(Object minValue) {
        this.minValue = minValue;
    }

    public String getName() {
       return this.name;
    }

}
